Bug 90110 - mysql packages don't include sql-bench
mysql packages don't include sql-bench
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-05-02 13:15 EDT by Jesse Keating
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-09 15:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2003-05-02 13:15:36 EDT
Description of problem:
mysql spec file explicitly includes the sql bench in the configure
(--with-bench) but then rm -rf's the usr/share/sql-bench/ directory prior to the
%file section, and sql-bench never gets installed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. obtain mysql source rpm
2. rebuild source rpm
3. install rpm, or check file listings.

Actual Results:  sql-bench is not in the rpm

Expected Results:  sql-bench should be included, as it's a great way to
benchmark mysql.
Comment 1 Patrick Macdonald 2003-05-02 14:12:32 EDT
The bench package was removed way back on June 30, 2000 (according to the spec
file changelog) but it seems as though the configure parameter --with-bench has
miraculously survived.  I'll fix this in the current spec file.  Thanks for 
pointing it out.

The bench package was removed as it was not required to run mysql (although it
is a useful package).
Comment 2 Jesse Keating 2003-05-02 14:15:04 EDT
Can I RFE it to be included as a seperate package?  My customers would really
like some mysql benchmarking done, but I'd hate to have to do a source install
to accomplish it.
Comment 3 Patrick Macdonald 2003-05-02 14:32:00 EDT
Understood and of course you can open an RFE.  However, there have been very few
requests for this functionality and we'd be penalizing all other users of MySQL
in the Red Hat distros.  It is very unlikely that this request for enhancement
would be honored. 
Comment 4 Jesse Keating 2003-05-02 14:38:18 EDT
Ok, would it help the acceptance process at all if I wrote a patch for the
current spec, to build the sql-bench into it's own subpackage?  I'll probably
end up doing it for my own systems, but I'd like to see it included in the Distro.
Comment 5 Patrick Macdonald 2003-05-02 14:51:49 EDT
Honestly, probably not.  The amount of work required on the spec file is
relatively small. The problem is lack of demand from our customer/user base.
If more customers/users wanted this functionality, we'd be happy to put it in.
As it stands, you're the only one at the moment.
Comment 6 Michael 2003-05-02 15:40:26 EDT
Yo! I'd like this too, plz! I don't understand how including this would penalize
other RedHat customers... Please include!
Comment 7 shrek-m 2003-05-02 15:46:35 EDT
nice to hear that you will include in the near future  ;-)

  a gui-tool for unix-odbc, myodbc
  a working openoffice-myodbc out of the box

the most mysql-users do not use your rpms because you are absolutely not up to date.

see www.mysql.com
production 4.0.12

see http://updtates.redhat.com
since yesterday 3.23.56
Comment 8 Tom "spot" Callaway 2003-05-02 15:47:05 EDT
I would argue that the ability to benchmark mysql, especially given that it
requires no added code from Red Hat, would be a useful thing for inclusion.

From a customer perspective, it also looks bad, when Red Hat removes application
functionality that other vendors keep. Especially when it comes with the
program. Unless we have a good reason to be crippling mysql's application suite,
lets put this back in. Its a minimal size increase.
Comment 9 Scott R. Godin 2003-05-02 15:49:10 EDT
Mark me up as another 'me too'. I'd love to see this 'helpfully ALREADY PROVIDED
BY THE MANUFACTURER' functionality _left in_ as it helps mightily for those of
us who would like to see the relative performance of the system and do some
tweaking to improve said performance. 

To me, this is akin to leaving out the 'examples/' from /usr/share/doc and other
such helpful instructional material. Hard to tell users to RTFM when there IS no

It's part of the mysql package, and I can't for the life of me see how leaving
it out benefits *anyone*. Particularly when you consider the contortions one
must go through to *get it back*... 
Comment 10 seth arnold 2003-05-02 15:52:56 EDT
out of idle curiousity, how many users asked for this functionality to be
removed? :)
Comment 11 Patrick Macdonald 2003-05-02 16:10:19 EDT
See... you put out feelers and the people come out of the woodwork.   If there
is enough interest, we'll put it in.  Like I said earlier, it's a small amount
of code that has to be placed in the spec file and some additional sanity testing.

Don't know how many users asked for the functionality to be removed, it was done
many moons ago before my group was supporting this package. Anyway, it seems as
though there are interested parties so I'll spend some time next week putting
the functionality in.  I'll update the bug with the results and we'll go from

And, yes, we are looking at moving to MySQL 4.0 but migration issues with
current installations are being investigated.  At the moment, we are up-to-date
with the 3.23.x version (3.23.56).

Comment 12 Jesse Keating 2003-05-02 16:21:52 EDT
Thank you very much for your support.  I have to say that this was the fastest
response time I have ever seen!  Keep up the good work (;
Comment 13 seth arnold 2003-05-02 17:57:44 EDT
I'm impressed, thanks for your consideration. :)
Comment 14 Patrick Macdonald 2003-05-08 13:53:43 EDT
Ok... I was off sick for most of the week so I'm just getting to this now.   In
order not to penalize the users that don't care about benchmarking, I'll make this
a new rpm (mysql-bench) instead of adding it to an existing one.  It's currently
building on my machine and once I've finished testing, I'll build it for rawhide.
Comment 15 Patrick Macdonald 2003-05-09 15:24:21 EDT
Successfully built and tested locally.  It's currently building in our main 
system and will be in rawhide next week as mysql-bench-3.23.56-2.i386.rpm.
Comment 16 Patrick Macdonald 2003-05-13 10:52:12 EDT
Currently sitting in Rawhide...

ftp> ls mysql*
227 Entering Passive Mode (172,16,52,204,44,41)
150 Here comes the directory listing.
-rw-r--r--    1 ftp   5378746 May 12 14:08 mysql-3.23.56-2.i386.rpm
-rw-r--r--    1 ftp    538749 May 12 14:08 mysql-bench-3.23.56-2.i386.rpm
-rw-r--r--    1 ftp    580333 May 12 14:08 mysql-devel-3.23.56-2.i386.rpm
-rw-r--r--    1 ftp   1120775 May 12 14:08 mysql-server-3.23.56-2.i386.rpm
226 Directory send OK.
Comment 17 Jesse Keating 2003-05-13 11:21:54 EDT
You rock!  Thank you very much!

Note You need to log in before you can comment on or make changes to this bug.